Subject: Re: [PATCH] trace2: correct typo in technical documentation

From: SZEDER Gábor <[email-masked]>
Date: Thu, 27 Jun 2019 12:49:09 +0200

On Wed, Jun 26, 2019 at 01:03:03PM -0700, Carlo Marcelo Arenas Belón wrote:
> an apparent typo for the environment variable was included with 81567caf87
> ("trace2: update docs to describe system/global config settings",
> 2019-04-15), and was missed when renamed variables by e4b75d6a1d
> ("trace2: rename environment variables to GIT_TRACE2*", 2019-05-19)
> 
> Signed-off-by: Carlo Marcelo Arenas Belón <[email-masked]>
> ---
>  Documentation/technical/api-trace2.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/Documentation/technical/api-trace2.txt b/Documentation/technical/api-trace2.txt
> index 23c3cc7a37..f7ffe7d599 100644
> --- a/Documentation/technical/api-trace2.txt
> +++ b/Documentation/technical/api-trace2.txt
> @@ -35,7 +35,7 @@ Format details are given in a later section.
>  === The Normal Format Target
>  
>  The normal format target is a tradition printf format and similar
> -to GIT_TRACE format.  This format is enabled with the `GIT_TR`
> +to GIT_TRACE format.  This format is enabled with the `GIT_TRACE2`

Carlo, thanks for catching this.

Junio, this patch should be applied on top of 'sg/trace2-rename' which
contains e4b75d6a1d.  In current 'pu' it's applied on top of
'jh/trace2-sid-fix', which doesn't contain that commit and therefore
the rest of the codebase doesn't know about GIT_TRACE2 yet.